diff -pruN 0.16.8-1/debian/changelog 0.16.8-1ubuntu1/debian/changelog
--- 0.16.8-1/debian/changelog	2021-01-14 17:22:38.000000000 +0000
+++ 0.16.8-1ubuntu1/debian/changelog	2021-01-15 14:09:05.000000000 +0000
@@ -1,3 +1,12 @@
+sord (0.16.8-1ubuntu1) hirsute; urgency=low
+
+  * Merge from Debian unstable. Remaining changes:
+    - d/p/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
+      avoid crashes with optimized builds. Those were especially present
+      on s390x/ppc64el around gstreamer (LP: #1911142)
+
+ -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 15:09:05 +0100
+
 sord (0.16.8-1) unstable; urgency=medium
 
   [ Olivier Humbert ]
@@ -13,6 +22,14 @@ sord (0.16.8-1) unstable; urgency=medium
 
  -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Jan 2021 18:22:38 +0100
 
+sord (0.16.6-1ubuntu1) hirsute; urgency=medium
+
+  * d/p/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
+    avoid crashes with optimized builds. Those were especially present
+    on s390x/ppc64el around gstreamer (LP: #1911142)
+
+ -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Jan 2021 12:33:51 +0100
+
 sord (0.16.6-1) unstable; urgency=medium
 
   [ Debian Janitor ]
diff -pruN 0.16.8-1/debian/control 0.16.8-1ubuntu1/debian/control
--- 0.16.8-1/debian/control	2021-01-13 22:51:04.000000000 +0000
+++ 0.16.8-1ubuntu1/debian/control	2021-01-14 21:26:14.000000000 +0000
@@ -1,7 +1,8 @@
 Source: sord
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
diff -pruN 0.16.8-1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch 0.16.8-1ubuntu1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
--- 0.16.8-1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.16.8-1ubuntu1/debian/patches/0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch	2021-01-15 14:05:53.000000000 +0000
@@ -0,0 +1,27 @@
+Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
+Original-Author: David Robillard <d@drobilla.net>
+Origin: backport, https://gitlab.com/drobilla/sord/-/commit/616517f44ceeacb26592e50e2bf914aad2d93b90
+Bug-Ubuntu: https://bugs.launchpad.net/bugs/1911142
+Last-Update: 2021-01-12
+From 616517f44ceeacb26592e50e2bf914aad2d93b90 Mon Sep 17 00:00:00 2001
+From: David Robillard <d@drobilla.net>
+Date: Fri, 17 Jul 2020 15:38:38 +0200
+Subject: [PATCH] Fix crash with optimized builds with GCC 10.1.0
+
+---
+ src/zix/btree.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+Index: sord-0.16.8-1ubuntu1/src/zix/btree.c
+===================================================================
+--- sord-0.16.8-1ubuntu1.orig/src/zix/btree.c
++++ sord-0.16.8-1ubuntu1/src/zix/btree.c
+@@ -863,7 +863,7 @@
+ bool
+ zix_btree_iter_is_end(const ZixBTreeIter* const i)
+ {
+-	return !i || i->stack[0].node == NULL;
++	return !i || (i->level == 0 && i->stack[0].node == NULL);
+ }
+ 
+ bool
diff -pruN 0.16.8-1/debian/patches/series 0.16.8-1ubuntu1/debian/patches/series
--- 0.16.8-1/debian/patches/series	2021-01-08 21:57:46.000000000 +0000
+++ 0.16.8-1ubuntu1/debian/patches/series	2021-01-14 21:26:14.000000000 +0000
@@ -1 +1,2 @@
 1001-dont_run_ldconfig.patch
+0001-Fix-crash-with-optimized-builds-with-GCC-10.1.0.patch
